Debian Bug report logs - #615605
libjson-perl: upgrade libjson-pp-perl from Recommends to Depends

version graph

Package: libjson-perl; Maintainer for libjson-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libjson-perl is src:libjson-perl.

Reported by: Jonathan Yu <jawnsy@cpan.org>

Date: Sun, 27 Feb 2011 18:09:02 UTC

Severity: important

Found in version libjson-perl/2.27-1

Done: Jonathan Yu <jonathan.i.yu@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#615605; Package libjson-perl. (Sun, 27 Feb 2011 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 27 Feb 2011 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libjson-perl: upgrade libjson-pp-perl from Recommends to Depends
Date: Sun, 27 Feb 2011 13:06:34 -0500
Package: libjson-perl
Version: 2.27-1
Severity: important


Due to a misunderstanding as to the intent of this package, and its
relation to JSON::PP (see libjson-pp-perl), JSON::PP was considered a
Recommends rather than a Depends.

In a discussion with David Golden, it was identified that this package
should be considered a Depends. The JSON::backportPP module was not meant
to be used in normal circumstances:

  > However, as long as libjson-perl will work (i.e. the JSON module) in
  > the absence of libjson-pp-perl, then it should be a Recommends rather
  > than a Depends.

  Will work, but was not designed to be used that way.  The
  JSON::backportPP was a stopgap to ensure that if something went wrong
  with the split of JSON::PP, that JSON would still have a pure-perl
  fallback.  It's an engineering safety, not an intended user API.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#615605; Package libjson-perl. (Sun, 27 Feb 2011 18:18:06 GMT) Full text and rfc822 format available.

Message #8 received at 615605@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 615605@bugs.debian.org, 615605-submitter@bugs.debian.org
Subject: Bug in libjson-perl fixed in revision 69962
Date: Sun, 27 Feb 2011 18:16:25 +0000
tag 615605 + pending
thanks

Some bugs are closed in revision 69962
by Jonathan Yu (jawnsy-guest)

Commit message:

WAITS-FOR: libjson-pp-perl
* Upgraded libjson-pp-perl from a Suggests to a Depends, as the
backportPP module was an interim measure in case serious problems
prevented the installation of JSON::PP (Closes: #615605)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 27 Feb 2011 18:18:08 GMT) Full text and rfc822 format available.

Message sent on to Jonathan Yu <jawnsy@cpan.org>:
Bug#615605. (Sun, 27 Feb 2011 18:18:10 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
You have taken responsibility. (Wed, 09 Mar 2011 22:39:11 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Yu <jawnsy@cpan.org>:
Bug acknowledged by developer. (Wed, 09 Mar 2011 22:39:11 GMT) Full text and rfc822 format available.

Message #18 received at 615605-done@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: 615605-done@bugs.debian.org
Cc: Makamaka <makamaka@cpan.org>, David Golden <xdaveg@gmail.com>, Debian Perl List <debian-perl@lists.debian.org>
Subject: libjson-pp-perl kept as Suggests in libjson-perl
Date: Wed, 9 Mar 2011 17:36:19 -0500
Closing this issue without resolving it. We have received some
additional clarification from upstream, who indicates that this is not
a bug (see below).

---

Dear David and Jonathan,

David Golden wrote:
>If you don't mind the extra work and plan to keep BackportPP forever,
>then Debian can go ahead and 'recommend' JSON::PP but not 'depend' on
>it, since JSON will continue working without it.

Yes, I'll maintain BackportPP.
I hope that things go on as you said.

Regards,
----
makamaka




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Apr 2011 07:49:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:18:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.